Runtime

## org.eclipse.gmf.runtime.common.ui.action.ide.actions.global
Class DeleteResourceGlobalActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
          org.eclipse.gmf.runtime.common.ui.action.actions.global.ResourceGlobalActionHandler
              org.eclipse.gmf.runtime.common.ui.action.ide.actions.global.DeleteResourceGlobalActionHandler

All Implemented Interfaces:
  IGlobalActionHandler

public class DeleteResourceGlobalActionHandler
extends ResourceGlobalActionHandler

Global action handler that delete resources using the Eclipse `DeleteResourceAction`.

Constructor Summary
`DeleteResourceGlobalActionHandler()`

Method Summary
`boolean` `canHandle(IGlobalActionContext cntxt)` Return true if the handler can handle the context
`ICommand` `getCommand(IGlobalActionContext cntxt)` Return the ICommand for the context

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.actions.global.ResourceGlobalActionHandler
`getResourceSelection, getShell`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
`getLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteResourceGlobalActionHandler

    public DeleteResourceGlobalActionHandler()

Method Detail

### getCommand

    public ICommand getCommand(IGlobalActionContext cntxt)

  Description copied from interface: `IGlobalActionHandler`
  Return the ICommand for the context

  Parameters:
    `cntxt` - The context
  Returns:
    ICommand

### canHandle

    public boolean canHandle(IGlobalActionContext cntxt)

  Description copied from interface: `IGlobalActionHandler`
  Return true if the handler can handle the context

  Specified by:
    `canHandle` in interface `IGlobalActionHandler`
  Overrides:
    `canHandle` in class `ResourceGlobalActionHandler`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.